Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 13656)
@@ -33,6 +33,7 @@
   [StorableClass]
   public class AlleleFrequencyCollection : ReadOnlyItemCollection<AlleleFrequency> {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Statistics; }
+    public static new Image StaticItemImage
+    {
+      get { return new Bitmap(25, 25); }
     }
 
Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 13656)
@@ -33,6 +33,7 @@
   [StorableClass]
   public class AlleleFrequencyCollectionHistory : ItemCollection<AlleleFrequencyCollection> {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
+    public static new Image StaticItemImage
+    {
+      get { return new Bitmap(25, 25); }
     }
 
Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 13656)
@@ -38,12 +38,15 @@
   [StorableClass]
   public class DataTable : NamedItem, IStringConvertibleMatrix {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
+    public static new Image StaticItemImage
+    {
+      get { return new Bitmap(25, 25); }
     }
 
     private DataTableVisualProperties visualProperties;
-    public DataTableVisualProperties VisualProperties {
+    public DataTableVisualProperties VisualProperties
+    {
       get { return visualProperties; }
-      set {
+      set
+      {
         if (visualProperties != value) {
           if (value == null) throw new ArgumentNullException("VisualProperties");
@@ -57,7 +60,9 @@
 
     private NamedItemCollection<DataRow> rows;
-    public NamedItemCollection<DataRow> Rows {
+    public NamedItemCollection<DataRow> Rows
+    {
       get { return rows; }
-      private set {
+      private set
+      {
         if (rows != null) throw new InvalidOperationException("Rows already set");
         rows = value;
@@ -68,7 +73,9 @@
     #region Persistence Properties
     [Storable(Name = "VisualProperties")]
-    private DataTableVisualProperties StorableVisualProperties {
+    private DataTableVisualProperties StorableVisualProperties
+    {
       get { return visualProperties; }
-      set {
+      set
+      {
         visualProperties = value;
         visualProperties.PropertyChanged += new PropertyChangedEventHandler(VisualProperties_PropertyChanged);
@@ -76,5 +83,6 @@
     }
     [Storable(Name = "rows")]
-    private IEnumerable<DataRow> StorableRows {
+    private IEnumerable<DataRow> StorableRows
+    {
       get { return rows; }
       set { Rows = new NamedItemCollection<DataRow>(value); }
@@ -206,26 +214,32 @@
     #region IStringConvertibleMatrix Members
 
-    int IStringConvertibleMatrix.Rows {
+    int IStringConvertibleMatrix.Rows
+    {
       get { return rows.Count == 0 ? 0 : rows.Max(r => r.Values.Count); }
       set { throw new NotSupportedException(); }
     }
-    int IStringConvertibleMatrix.Columns {
+    int IStringConvertibleMatrix.Columns
+    {
       get { return rows.Count; }
       set { throw new NotSupportedException(); }
     }
-    IEnumerable<string> IStringConvertibleMatrix.ColumnNames {
+    IEnumerable<string> IStringConvertibleMatrix.ColumnNames
+    {
       get { return rows.Select(r => r.Name); }
       set { throw new NotSupportedException(); }
     }
-    IEnumerable<string> IStringConvertibleMatrix.RowNames {
+    IEnumerable<string> IStringConvertibleMatrix.RowNames
+    {
       get { return Enumerable.Empty<string>(); }
       set { throw new NotSupportedException(); }
     }
 
-    bool IStringConvertibleMatrix.SortableView {
+    bool IStringConvertibleMatrix.SortableView
+    {
       get { return true; }
       set { throw new NotSupportedException(); }
     }
-    bool IStringConvertibleMatrix.ReadOnly {
+    bool IStringConvertibleMatrix.ReadOnly
+    {
       get { return true; }
     }
Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 13656)
@@ -33,6 +33,7 @@
   [StorableClass]
   public class DataTableHistory : ItemCollection<DataTable> {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
+    public static new Image StaticItemImage
+    {
+      get { return new Bitmap(25, 25); }
     }
 
Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 13656)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -31,12 +30,12 @@
   [StorableClass]
   public class HeatMap : DoubleMatrix {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Gradient; }
-    }
+
 
     private string title;
-    public string Title {
+    public string Title
+    {
       get { return title; }
-      set {
+      set
+      {
         if (value == null) value = string.Empty;
         if (title != value) {
@@ -47,7 +46,9 @@
     }
     private double minimum;
-    public double Minimum {
+    public double Minimum
+    {
       get { return minimum; }
-      set {
+      set
+      {
         if (minimum != value) {
           minimum = value;
@@ -58,7 +59,9 @@
     }
     private double maximum;
-    public double Maximum {
+    public double Maximum
+    {
       get { return maximum; }
-      set {
+      set
+      {
         if (maximum != value) {
           maximum = value;
@@ -71,15 +74,18 @@
     #region Storable Properties
     [Storable(Name = "Title")]
-    private string StorableTitle {
+    private string StorableTitle
+    {
       get { return title; }
       set { title = value; }
     }
     [Storable(Name = "Minimum")]
-    private double StorableMinimum {
+    private double StorableMinimum
+    {
       get { return minimum; }
       set { minimum = value; }
     }
     [Storable(Name = "Maximum")]
-    private double StorableMaximum {
+    private double StorableMaximum
+    {
       get { return maximum; }
       set { maximum = value; }
Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 13656)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -33,7 +32,5 @@
   [StorableClass]
   public class HeatMapHistory : ItemCollection<HeatMap> {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
-    }
+
 
     [StorableConstructor]
Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 13656)
@@ -35,12 +35,12 @@
   [StorableClass]
   public class ScatterPlot : NamedItem, IStringConvertibleMatrix {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
-    }
+
 
     private ScatterPlotVisualProperties visualProperties;
-    public ScatterPlotVisualProperties VisualProperties {
+    public ScatterPlotVisualProperties VisualProperties
+    {
       get { return visualProperties; }
-      set {
+      set
+      {
         if (visualProperties != value) {
           if (value == null) throw new ArgumentNullException("VisualProperties");
@@ -54,7 +54,9 @@
 
     private NamedItemCollection<ScatterPlotDataRow> rows;
-    public NamedItemCollection<ScatterPlotDataRow> Rows {
+    public NamedItemCollection<ScatterPlotDataRow> Rows
+    {
       get { return rows; }
-      private set {
+      private set
+      {
         if (rows != null) throw new InvalidOperationException("Rows already set");
         rows = value;
@@ -65,7 +67,9 @@
     #region Persistence Properties
     [Storable(Name = "VisualProperties")]
-    private ScatterPlotVisualProperties StorableVisualProperties {
+    private ScatterPlotVisualProperties StorableVisualProperties
+    {
       get { return visualProperties; }
-      set {
+      set
+      {
         visualProperties = value;
         visualProperties.PropertyChanged += new PropertyChangedEventHandler(VisualProperties_PropertyChanged);
@@ -73,5 +77,6 @@
     }
     [Storable(Name = "Rows")]
-    private IEnumerable<ScatterPlotDataRow> StorableRows {
+    private IEnumerable<ScatterPlotDataRow> StorableRows
+    {
       get { return rows; }
       set { Rows = new NamedItemCollection<ScatterPlotDataRow>(value); }
@@ -108,15 +113,18 @@
     private ObservableList<PointF> points;
     [Storable(Name = "points", AllowOneWay = true)]
-    private ObservableList<PointF> StorablePoints {
+    private ObservableList<PointF> StorablePoints
+    {
       set { points = value; }
     }
     private string xAxisName;
     [Storable(Name = "xAxisName", AllowOneWay = true)]
-    private string StorableXAxisName {
+    private string StorableXAxisName
+    {
       set { xAxisName = value; }
     }
     private string yAxisName;
     [Storable(Name = "yAxisName", AllowOneWay = true)]
-    private string StorableYAxisName {
+    private string StorableYAxisName
+    {
       set { yAxisName = value; }
     }
@@ -223,26 +231,32 @@
 
     #region IStringConvertibleMatrix Members
-    int IStringConvertibleMatrix.Rows {
+    int IStringConvertibleMatrix.Rows
+    {
       get { return rows.Count == 0 ? 0 : rows.Max(r => r.Points.Count); }
       set { throw new NotSupportedException(); }
     }
-    int IStringConvertibleMatrix.Columns {
+    int IStringConvertibleMatrix.Columns
+    {
       get { return rows.Count; }
       set { throw new NotSupportedException(); }
     }
-    IEnumerable<string> IStringConvertibleMatrix.ColumnNames {
+    IEnumerable<string> IStringConvertibleMatrix.ColumnNames
+    {
       get { return rows.Select(r => r.Name); }
       set { throw new NotSupportedException(); }
     }
-    IEnumerable<string> IStringConvertibleMatrix.RowNames {
+    IEnumerable<string> IStringConvertibleMatrix.RowNames
+    {
       get { return Enumerable.Empty<string>(); }
       set { throw new NotSupportedException(); }
     }
 
-    bool IStringConvertibleMatrix.SortableView {
+    bool IStringConvertibleMatrix.SortableView
+    {
       get { return true; }
       set { throw new NotSupportedException(); }
     }
-    bool IStringConvertibleMatrix.ReadOnly {
+    bool IStringConvertibleMatrix.ReadOnly
+    {
       get { return true; }
     }
Index: branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 13397)
+++ branches/WebJobManager/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 13656)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -33,7 +32,4 @@
   [StorableClass]
   public class ScatterPlotHistory : ItemCollection<ScatterPlot> {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
-    }
 
     [StorableConstructor]
